%define name hd2u
%define version 0.7.0

Name: %{name}
Version: %{version}
Release: 1
Summary: Converts DOS like EOLs to UNIX style EOLs and vice versa.
Copyright: GPL
Group: Utilities/Text
Vendor: Peter Hanecak <hanecak@megaloman.sk>
Url: http://www.megaloman.com/~hany/software/hd2u/
Provides: dos2unix
Obsoletes: dos2unix
Prefix: %{_prefix}

Source: %{name}-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-root

%description
hd2u is "Hany's Dos2Unix convertor". It provides 'dos2unix'.

'dos2unix' is filter used to convert DOS like EOLs to UNIX like EOLs and vice
versa (EOL - End Of Line character).

THIS IS DEVELOPMENT RELEASE, USE WITH CARE!

%prep
%setup

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make BUILD_ROOT="$RPM_BUILD_ROOT" install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/dos2unix
%doc AUTHORS COPYING CREDITS ChangeLog INSTALL NEWS README TODO

%changelog
* Sun Feb 11 2001 Peter Hanecak <hanecak@megaloman.sk>
[0.7.0-1]
- documentation updates

* Wed Feb  7 2001 Rob Ginda <rginda@netscape.com>
- dos2unix.c: more robust source format detection can detect binary files,
  mixed mode files, and files with no line endings at all
- dos2unix.c: added automatic skipping of binary files
- dos2unix.c: added --test mode to check filetype without converting
- dos2unix.c: added --verbose option to show status messages while working
- dos2unix.c: converted C++ style (//) comments to C style (/**/) (some C
  compilers will choke on //)
- dos2unix.c: reorderd function definition to avoid prototypes
- dos2unix.c: replaced hard tabs with 4 spaces
- dos2unix.c: added emacs modeline

* Sun Jan 21 2001 Peter Hanecak <hanecak@megaloman.sk>
[0.6.0-1]
- documentation: fixed typos
- dos2unix.c: handle NULL when returned by tmpnam()
- Makefile.in: added '-Wall -pedantic' to CFLAGS

* Tue Oct  3 2000 Peter Hanecak <hanecak@megaloman.sk>
[0.5.12-1]
- documentation extended (popt) and updated (configure)
- configure.in: check for getopt_long() function

* Tue Sep 26 2000 Peter Hanecak <hanecak@megaloman.sk>
[0.5.11-1]
- configure.in: check for popt library

* Mon Aug  7 2000 Peter Hanecak <hanecak@megaloman.sk>
[0.5.10-1]
- autoconfigure

* Sat Aug  5 2000 Peter Hanecak <hanecak@megaloman.sk>
[0.5.9-2]
- --auto switch
- do not touch files which are alredy in specified target format
- spec: Prefix, %%{_tmppath} and %%{_bindir} used

* Thu Nov 25 1999 Peter Hanecak <hanecak@megaloman.sk>
[0.5.0-2]
- added URL to spec
- mostly typo fixes

* Thu Nov 25 1999 Peter Hanecak <hanecak@megaloman.sk>
[0.5.0]
- renamed package to 'hd2u' to avoid conflicts with alredy existing
  dos2unix package(s) (is 'hd2u' original enought? :)
- moved binary to '/usr/bin'
- added some documentation
- first public release

* Thu Oct 21 1999 Peter Hanecak <hanecak@megaloman.sk>
[0.5.0]
- speed optimisation

* Thu Oct 21 1999 Peter Hanecak <hanecak@megaloman.sk>
[0.4.0]
- coversion of file(s) specified as command line parameters

* Tue Oct 19 1999 Peter Hanecak <hanecak@megaloman.sk>
[0.3.0]
- getopt used to process parameters
- help displayed when incorect options

* Sun Sep 26 1999 Peter Hanecak <hanecak@megaloman.sk>
[0.3.0]

* Fri Mar 26 1999 Peter Hanecak <hanecak@megaloman.sk>
[0.2.0]
- initial spec
